org.apache.ignite.spi.systemview.jmx

## Class SystemViewMBean<R>

- java.lang.Object
- - org.apache.ignite.spi.metric.jmx.ReadOnlyDynamicMBean
  - - org.apache.ignite.spi.systemview.jmx.SystemViewMBean<R>

- All Implemented Interfaces:
    DynamicMBean

      public class SystemViewMBean<R>
      extends ReadOnlyDynamicMBean

  JMX bean to expose specific `SystemView` data.
  See Also:
    `JmxMetricExporterSpi`, `GridSystemViewManager`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FILTER_OPERATION` Filter operation name.
    `static String` | `ID` Row id attribute name.
    `static String` | `VIEWS` View attribute.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemViewMBean(SystemView<R> sysView)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getAttribute(String attribute)`
    `MBeanInfo` | `getMBeanInfo()`
    `Object` | `invoke(String actName, Object[] params, String[] signature)`

    - ### Methods inherited from class org.apache.ignite.spi.metric.jmx.ReadOnlyDynamicMBean

      `getAttributes, setAttribute, setAttributes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VIEWS

          public static final String VIEWS

      View attribute.
      See Also:
        Constant Field Values

    - #### FILTER_OPERATION

          public static final String FILTER_OPERATION

      Filter operation name.
      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      Row id attribute name.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SystemViewMBean

          public SystemViewMBean(SystemView<R> sysView)

      Parameters:
        `sysView` - System view to export.

  - ### Method Detail

    - #### getAttribute

          public Object getAttribute(String attribute)

    - #### invoke

          public Object invoke(String actName,
                               Object[] params,
                               String[] signature)
                        throws MBeanException,
                               ReflectionException

      Specified by:
        `invoke` in interface `DynamicMBean`
      Overrides:
        `invoke` in class `ReadOnlyDynamicMBean`
      Throws:
        `MBeanException`
        `ReflectionException`

    - #### getMBeanInfo

          public MBeanInfo getMBeanInfo()

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020